{ config, pkgs, ... }: {

  services.n8n = {
    enable = true;
    openFirewall = true;
    settings = {
      host = "wf.lanakk.com";
      protocol = "https";
      editorBaseUrl="https://wf.lanakk.com";
    };
  };
  systemd.services.n8n.serviceConfig = {
    EnvironmentFile = "${config.age.secrets.n8n-env.path}";
  };
}
